Page MenuHomePhabricator

Stop loading WikibaseQuality extension on WMF sites
Closed, ResolvedPublic1 Estimate Story Points

Description

  • This requires us to first merge WikibaseQuality and QualityConstraints and then get that out of the door first.
  • And then stop loading the extension - For WMDE

Stopping loading should consist of removing the calls to wfLoadExtension( 'WikibaseQuality' ); in mediawiki-config

Details

Related Gerrit Patches:
operations/mediawiki-config : masterDo not load WikibaseQuality

Event Timeline

Addshore changed the task status from Open to Stalled.Sep 21 2018, 8:11 AM
Addshore triaged this task as Medium priority.
Addshore updated the task description. (Show Details)
Addshore changed the task status from Stalled to Open.Oct 11 2018, 1:01 PM
Addshore updated the task description. (Show Details)
Addshore updated the task description. (Show Details)Oct 11 2018, 1:21 PM
Addshore updated the task description. (Show Details)Oct 16 2018, 1:28 PM
Addshore set the point value for this task to 1.
Addshore moved this task from Ready to estimate to In Progress on the Wikidata-Campsite board.
Addshore updated the task description. (Show Details)Oct 16 2018, 1:45 PM

Change 470679 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[operations/mediawiki-config@master] Do not load WikibaseQuality

https://gerrit.wikimedia.org/r/470679

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptOct 30 2018, 8:31 PM

Change 470679 merged by jenkins-bot:
[operations/mediawiki-config@master] Do not load WikibaseQuality

https://gerrit.wikimedia.org/r/470679

Mentioned in SAL (#wikimedia-operations) [2018-10-31T11:08:55Z] <ladsgroup@deploy1001> Synchronized wmf-config/Wikibase.php: SWAT: [[gerrit:470679|Do not load WikibaseQuality (T205064)]] (duration: 01m 05s)

Addshore renamed this task from Undeploy WikibaseQuality extension from the WMF to Stop loading WikibaseQuality extension on WMF sites.Nov 1 2018, 2:14 PM
Addshore updated the task description. (Show Details)